package vivadaylight3.interlock.items.components;

import vivadaylight3.interlock.Interlock;
import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;

/**
 * Coil component item class
 * @author VivaDaylight3
 *
 */

public class CoilComponent extends Item {
	public CoilComponent(int par1){
		
		super(par1);
		setMaxStackSize(64);
		setCreativeTab(Interlock.tabInterlock);
		setUnlocalizedName("coilComponent");
		
	}
	
	public void registerIcons(IconRegister iconRegister){
    	
        itemIcon = iconRegister.registerIcon("Interlock:coilComponent");
        
	}
}
