package vivadaylight3.interlock.items.other;

import vivadaylight3.interlock.Interlock;
import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;
import net.minecraft.util.Icon;
import net.minecraft.world.World;
import net.minecraftforge.event.ForgeSubscribe;
import net.minecraftforge.event.entity.player.PlayerInteractEvent;

/**
 * Keycard item class
 * @author VivaDaylight3
 *
 */

public class KeycardItem extends Item {

	public KeycardItem(int par1) {
		
		super(par1);
		setMaxStackSize(1);
        setCreativeTab(Interlock.tabInterlock);
        setUnlocalizedName("keycard");
	}
	
	public void registerIcons(IconRegister iconRegister){
    	
        itemIcon = iconRegister.registerIcon("Interlock:keycard");
        
	}

}
