package vivadaylight3.interlock.blocks;

import java.io.File;
import java.io.IOException;
import java.util.Random;

import vivadaylight3.interlock.Interlock;
import vivadaylight3.interlock.handlers.Config;

import net.minecraft.block.Block;
import net.minecraft.block.material.Material;
import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.Icon;
import net.minecraft.world.World;

/**
 * Metallum ore class
 * @author VivaDaylight3
 *
 */

public class OreMetallum extends Block {

        public OreMetallum (int id, Material material) {
                super(id, material);
                setHardness(1.0F)
                .setStepSound(Block.soundStoneFootstep)
                .setCreativeTab(Interlock.tabInterlock);
                setUnlocalizedName("oreMetallum");
        }
        
        public void registerIcons(IconRegister iconRegister){
        	
            blockIcon = iconRegister.registerIcon("Interlock:oreMetallum");
            
        }
        
        public int idDropped(int par1, Random random, int zero){
        	        	
        	return Interlock.dustMetallum.itemID;
        	
        }
        
        public int quantityDropped(Random par1Random)
        {
            return 2;
        }

}