package vivadaylight3.interlock.items.components;

import vivadaylight3.interlock.Interlock;
import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;

/**
 * Axle component item class (might be called metallic rod in-game)
 * @author VivaDaylight3
 *
 */

public class AxleComponent extends Item {

	public AxleComponent(int par1) {
		super(par1);
		setMaxStackSize(64);
		setCreativeTab(Interlock.tabInterlock);
		setUnlocalizedName("axleComponent");
		
	}
	
	public void registerIcons(IconRegister iconRegister){
    	
        itemIcon = iconRegister.registerIcon("Interlock:axleComponent");
        
	}

}
