package vivadaylight3.interlock.items.components;

import vivadaylight3.interlock.Interlock;
import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.item.Item;

/**
 * Door component item class
 * @author VivaDaylight3
 *
 */

public class DoorComponent extends Item {

	public DoorComponent(int par1) {
		super(par1);
		setCreativeTab(Interlock.tabInterlock);
		setUnlocalizedName("doorComponent");
		setMaxStackSize(64);
	}
	
	public void registerIcons(IconRegister iconRegister){
    	
        itemIcon = iconRegister.registerIcon("Interlock:doorComponent");
        
	}

}
