package vivadaylight3.interlock.items.components;

import vivadaylight3.interlock.Interlock;
import net.minecraft.client.renderer.texture.IconRegister;
import net.minecraft.item.Item;

/**
 * Plate component item class
 * @author VivaDaylight3
 *
 */

public class PlateComponent extends Item {

	public PlateComponent(int par1) {
		super(par1);
		setCreativeTab(Interlock.tabInterlock);
		setMaxStackSize(64);
		setUnlocalizedName("plateComponent");
	}
	
	public void registerIcons(IconRegister iconRegister){
    	
        itemIcon = iconRegister.registerIcon("Interlock:plateComponent");
        
	}

}
